/**
 * $Id: TProcessBasic.java,v 1.11 2001/12/20 12:11:28 jerome Exp $
 *
 * Transmorpher
 *
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
  *
  * This class allow to define and manage Basic process
  *
  * @ since jdk 1.2 and SAX 2.0
*/

package fr.fluxmedia.transmorpher.TProcessFactory ;

import fr.fluxmedia.transmorpher.Parser.ExecutionStructure;
import fr.fluxmedia.transmorpher.Files.*;

public abstract class TProcessBasic
  extends TProcess_Impl {

  /** the name of the father */
  //protected String nameFather = null ; <= move to process

  protected String type = null ;
   
  /** the empty constructor*/
  public TProcessBasic () {}
    
  /** The constructor */
  protected TProcessBasic (String[] pIn, String[] pOut) {
    super(pIn,pOut);
  }
   
    
  /** The constructor */
   protected TProcessBasic (String[] pIn, String[] pOut,String type) {
    super(pIn,pOut);
    this.type = type;
  }
    
    public void setType(String type){
  this.type = type;
    }
    
    public String getType(){
  return type;
    }
 
  
}
