 
package fr.fluxmedia.transmorpher.Utils ;

/* *****************************************************************

   The imports

   ***************************************************************** */

import java.io.* ;
import java.util.* ;

public class SystemResources {

  static ResourceBundle vBundle = null;
  static Locale myLocale = null;
  static Properties vSystemProperties = null;
  static Hashtable myResource = null;
  
  public SystemResources() {
    myResource = new Hashtable();
    vBundle = ResourceBundle.getBundle( "user");
    
    //System.out.println("version" +vBundle.getString("LANGUAGE"));
    //System.out.println("version" +vBundle.getString("COUNTRY"));
    myLocale = new Locale(vBundle.getString("LANGUAGE"),vBundle.getString("COUNTRY"));
    vBundle = ResourceBundle.getBundle( "system",myLocale);
    for (Enumeration e = vBundle.getKeys() ; e.hasMoreElements() ;) {
      String s = (String) e.nextElement();
      myResource.put(s,  vBundle.getString(s));        
    }
    //System.out.println("reader="+vBundle.getString("READER"));
    vSystemProperties = System.getProperties();
    for (Enumeration e = vSystemProperties.keys() ; e.hasMoreElements() ;) {
      String s = (String)e.nextElement();
      myResource.put(s,  vSystemProperties.getProperty(s));        
    }
  }
  
  
  public static void setProperty(String name, String Value){
    myResource.put(name,Value);
  }
 
  public static String getProperty(String name){
    return (String)myResource.get(name);
  }
  
  public static Locale getLocale() {
    return myLocale;
  }
    
}
