/**
 * $Id: TLoop.java,v 1.8 2001/12/12 13:11:13 jerome Exp $
 *
 * Transmorpher
 * 
 * Copyright (C) 2001 Fluxmedia and INRIA Rhne-Alpes.
 *
 * http://www.fluxmedia.fr - http://transmorpher.inrialpes.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/**
  * This class provide a basic process which is
  * able to read an XML file
  *
  * @author Laurent.Tardif@inrialpes.fr
  * @since jdk 1.3 && SAX 2.0
  */

package fr.fluxmedia.transmorpher.TProcessFactory ;

import fr.fluxmedia.transmorpher.Files.ReadWrite;
import fr.fluxmedia.transmorpher.Utils.Parameters;

// Imported SAX classes

import org.xml.sax.SAXException;
import org.xml.sax.helpers.XMLReaderFactory;
import org.xml.sax.XMLReader;

// Imported TraX classes

import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;


// Imported java.io classes

import java.io.IOException;

public final class TLoop
  extends TProcessComposite {

  int iNbLoop = 0;
  TProcess vCurrent = null;
  TProcess vSource = null;
  String[] iIn = null ;
  String[] iOut = null;
  int iCount=-1;
  String iRefOn = null;
  TProcessComposite iTemplateList = null ;
  static int ID =  0;
    
  /** The constructor */
  public TLoop (String[] pIn, String[] pOut, String pRefOn, int pCount,TProcessComposite pTemplateList)
  throws TransformerException,
         TransformerConfigurationException,
         SAXException,
         IOException {
      super(pIn,pOut,null); // JE ??
    
  } //end constructor

 
} //end class
